## freedoom 0.8

=== Makefile ===
# Copyright (c) 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008
# Contributors to the Freedoom project.  All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#  * Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
#  * Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#  * Neither the name of the freedoom project nor the names of its
#    contributors may be used to endorse or promote products derived from
#    this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
# IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
# PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
# OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

VERSION!=git describe
WADS=wads
CPP=scripts/simplecpp
DEUTEX=deutex
DEUTEX_BASIC_ARGS=-v0 -fullsnd -rate accept -rgb 0 255 255
DEUTEX_ARGS=$(DEUTEX_BASIC_ARGS) -doom2 bootstrap/

OBJS = \
	$(WADS)/freedoom.wad          \
	$(WADS)/freedoom_levels.wad   \
	$(WADS)/freedoom_sprites.wad  \
	$(WADS)/freedoom_sounds.wad   \
	$(WADS)/freedoom_textures.wad \
	$(WADS)/doom2.wad             \
	$(WADS)/doom.wad	      \
	$(WADS)/freedm.wad

all : $(OBJS)

subdirs:
	make -C graphics/text
	make -C graphics/titlepic
	make -C lumps

# this is a useless dependency to force builds

force:

# build texture1.txt for different builds

textures/doom2/texture1.txt: textures/combined.txt
	$(CPP) -DDOOM1 -DDOOM2 < $< > $@
textures/doom/texture1.txt: textures/combined.txt
	$(CPP) -DDOOM1 -DULTDOOM < $< > $@
textures/freedm/texture1.txt: textures/combined.txt
	$(CPP) -DFREEDM < $< > $@

textures/doom/pnames.txt: textures/doom/texture1.txt
	scripts/extract-pnames.py -a > $@
textures/doom2/pnames.txt: textures/doom2/texture1.txt 
	scripts/extract-pnames.py -a > $@
textures/freedm/pnames.txt: textures/freedm/texture1.txt
	scripts/extract-pnames.py -a > $@

# update wadinfo.txt

wadinfo.txt: buildcfg.txt force textures/doom2/pnames.txt
	$(CPP) -P -DDOOM2 < $< | scripts/wadinfo-builder.py > $@
wadinfo_iwad.txt: buildcfg.txt force textures/doom2/pnames.txt
	$(CPP) -P -DDOOM2 < $< | scripts/wadinfo-builder.py -dummy > $@
wadinfo_ult.txt: buildcfg.txt force textures/doom/pnames.txt
	$(CPP) -P -DDOOM1 -DULTDOOM < $< | scripts/wadinfo-builder.py -dummy > $@
wadinfo_freedm.txt : buildcfg.txt force textures/freedm/pnames.txt
	$(CPP) -P -DFREEDM < $< | scripts/wadinfo-builder.py -dummy > $@

%.wad.gz: %.wad
	gzip < $< > $@
	chmod o-r $<
	md5sum $<.gz > $<.md5sum
	rm -f $<

# deutex doesnt allow redirects for the filenames in the texture
# entries, so we have to change the texture1 symlink to point
# to whichever wad we are working on

#---------------------------------------------------------
# build wad

$(WADS)/freedoom.wad: wadinfo.txt subdirs force 
	ln -sf doom2/texture1.txt textures/texture1.txt
	rm -f $@
	$(DEUTEX) $(DEUTEX_ARGS) -textures -lumps -patch -flats -sounds -musics -graphics -sprites -build wadinfo.txt $@

#---------------------------------------------------------
# freedm iwad

$(WADS)/freedm.wad: wadinfo_freedm.txt subdirs force 
	ln -sf freedm/texture1.txt textures/texture1.txt
	rm -f $@
	$(DEUTEX) $(DEUTEX_ARGS) -iwad -build wadinfo_freedm.txt $@

#---------------------------------------------------------
# iwad

$(WADS)/doom2.wad: wadinfo_iwad.txt subdirs force 
	ln -sf doom2/texture1.txt textures/texture1.txt
	rm -f $@
	$(DEUTEX) $(DEUTEX_ARGS) -iwad -textures -lumps -patch -flats -sounds -musics -graphics -sprites -levels -build wadinfo_iwad.txt $@

#---------------------------------------------------------
# udoom iwad

$(WADS)/doom.wad: wadinfo_ult.txt subdirs force
	ln -sf doom/texture1.txt textures/texture1.txt
	rm -f $@
	$(DEUTEX) $(DEUTEX_ARGS) -iwad -textures -lumps -patch -flats -sounds -musics -graphics -sprites -levels -build wadinfo_ult.txt $@

#---------------------------------------------------------
# build levels wad

$(WADS)/freedoom_levels.wad : wadinfo.txt force 
	rm -f $@
	$(DEUTEX) $(DEUTEX_ARGS) -levels -build wadinfo.txt $@

#---------------------------------------------------------
# build texture wad

$(WADS)/freedoom_textures.wad : wadinfo.txt force 
	ln -sf doom2/texture1.txt textures/texture1.txt
	rm -f $@
	$(DEUTEX) $(DEUTEX_ARGS) -textures -patch -flats -build wadinfo.txt $@

#---------------------------------------------------------
# build sprites wad

$(WADS)/freedoom_sprites.wad : wadinfo.txt force 
	rm -f $@
	$(DEUTEX) $(DEUTEX_ARGS) -sprites -build wadinfo.txt $@

#---------------------------------------------------------
# build sounds wad

$(WADS)/freedoom_sounds.wad : wadinfo.txt force 
	rm -f $@
	$(DEUTEX) $(DEUTEX_ARGS) -sounds -musics -build wadinfo.txt $@

doc: BUILD-SYSTEM.asc README.asc
	asciidoc BUILD-SYSTEM.asc
	asciidoc README.asc

dist: $(OBJS) doc
	VERSION=$(VERSION) scripts/makepkgs $(OBJS)

clean:
	rm -f	*.html deutex.log $(OBJS) \
		./wadinfo.txt ./wadinfo_sw.txt \
		./wadinfo_freedm.txt ./wadinfo_iwad.txt \
		./wadinfo_ult.txt \
		./lumps/freedoom.lmp \
		./lumps/freedm.lmp \
		./textures/doom/pnames.txt \
		./textures/doom/texture1.txt \
		./textures/doom2/pnames.txt \
		./textures/doom2/texture1.txt \
		./textures/freedm/pnames.txt \
		./textures/freedm/texture1.txt \
		./textures/texture1.txt

	make -C lumps clean
	make -C graphics/text clean
	make -C graphics/titlepic clean

=== lumps/Makefile ===

all : freedoom.lmp freedm.lmp misc-lumps genmidi-lump dmxgus.lmp

misc-lumps:
	make -C cph/misc-lumps

genmidi-lump:
	make -C genmidi

dmxgus.lmp:
	make -C dmxgus

freedoom.lmp: force
	echo $(VERSION) > freedoom.lmp

freedm.lmp: force
	echo $(VERSION) > freedm.lmp

force:

clean:
	make -C cph/misc-lumps clean
	make -C genmidi clean
	make -C dmxgus clean

=== graphics/text/Makefile ===
GRAPHICS = \
  m_detail.gif m_disopt.gif m_disp.gif   m_endgam.gif m_epi1.gif   \
  m_epi2.gif   m_epi3.gif   m_epi4.gif   m_episod.gif m_gdhigh.gif \
  m_gdlow.gif  m_hurt.gif   m_jkill.gif  m_lgttl.gif  m_loadg.gif  \
  m_messg.gif  m_msens.gif  m_msgoff.gif m_msgon.gif  m_musvol.gif \
  m_newg.gif   m_ngame.gif  m_nmare.gif  m_option.gif m_optttl.gif \
  m_pause.gif  m_quitg.gif  m_rdthis.gif m_rough.gif  m_saveg.gif  \
  m_scrnsz.gif m_sfxvol.gif m_sgttl.gif  m_skill.gif  m_svol.gif   \
  m_about.gif  m_accel.gif  m_auto.gif   m_chat.gif   m_chatm.gif  \
  m_compat.gif m_demos.gif  m_dmflag.gif m_enem.gif   m_etcopt.gif \
  m_feat.gif   m_generl.gif m_gset.gif   m_horsen.gif m_hud.gif    \
  m_joyset.gif m_keybnd.gif m_ldsv.gif   m_loksen.gif m_menus.gif  \
  m_mess.gif   m_mouse.gif  m_multi.gif  m_player.gif m_serial.gif \
  m_setup.gif  m_sound.gif  m_stat.gif   m_status.gif m_tcpip.gif  \
  m_versen.gif m_video.gif  m_wad.gif    m_wadopt.gif m_weap.gif   \
  prboom.gif                                                       \
  m_ultra.gif  wibp1.gif    wibp2.gif    wibp3.gif    wibp4.gif    \
  wicolon.gif  wienter.gif  wif.gif      wifrgs.gif   wipcnt.gif   \
  wiminus.gif  wimstar.gif  wimstt.gif   wiostf.gif   wiosti.gif   \
  wiostk.gif   wiosts.gif   wiscrt2.gif  wisucks.gif  witime.gif   \
  wip1.gif     wip2.gif     wip3.gif     wip4.gif     wipar.gif    \
  winum0.gif   winum1.gif   winum2.gif   winum3.gif   winum4.gif   \
  winum5.gif   winum6.gif   winum7.gif   winum8.gif   winum9.gif   \
  cwilv00.gif  cwilv01.gif  cwilv02.gif  cwilv03.gif  cwilv04.gif  \
  cwilv05.gif  cwilv06.gif  cwilv07.gif  cwilv08.gif  cwilv09.gif  \
  cwilv10.gif  cwilv11.gif  cwilv12.gif  cwilv13.gif  cwilv14.gif  \
  cwilv15.gif  cwilv16.gif  cwilv17.gif  cwilv18.gif  cwilv19.gif  \
  cwilv20.gif  cwilv21.gif  cwilv22.gif  cwilv23.gif  cwilv24.gif  \
  cwilv25.gif  cwilv26.gif  cwilv27.gif  cwilv28.gif  cwilv29.gif  \
  cwilv30.gif  cwilv31.gif                                         \
  wilv00.gif   wilv01.gif   wilv02.gif   wilv03.gif   wilv04.gif   \
  wilv05.gif   wilv06.gif   wilv07.gif   wilv08.gif   wilv10.gif   \
  wilv11.gif   wilv12.gif   wilv13.gif   wilv14.gif   wilv15.gif   \
  wilv16.gif   wilv17.gif   wilv18.gif   wilv20.gif   wilv21.gif   \
  wilv22.gif   wilv23.gif   wilv24.gif   wilv25.gif   wilv26.gif   \
  wilv27.gif   wilv28.gif   wilv30.gif   wilv31.gif   wilv32.gif   \
  wilv33.gif   wilv34.gif   wilv35.gif   wilv36.gif   wilv37.gif   \
  wilv38.gif

all: $(GRAPHICS)

$(GRAPHICS): config.py fontchars ../../lumps/fraggle/freedoom.bex
	./textgen

clean:
	rm -f $(GRAPHICS)

=== graphics/titlepic/Makefile ===
titlepic: freedoom.gif freedm.gif ultdoom.gif

freedoom.gif: titlepic.gif
	./create_caption Freedoom $@

freedm.gif: titlepic.gif
	./create_caption FreeDM $@

ultdoom.gif: titlepic.gif
	./create_caption "\"Ultimate Freedoom\"" $@

clean:
	rm -f freedm.gif freedoom.gif ultdoom.gif

.PHONY: clean

=== lumps/dmxgus/Makefile ===
ultramid.ini : gen-ultramid config.py stats.py
	./gen-ultramid $@

clean:
	rm -f ultramid.ini

=== lumps/genmidi/Makefile ===

genmidi.lmp: config.py instruments/*
	./mkgenmidi $@

clean:
	rm -f genmidi.lmp

=== lumps/genmidi/orig/Makefile ===

CFLAGS = -Wall
OBJS = oplinstrs.o instrnames.o

genmidi.lmp : genmidi-gen
	./genmidi-gen $@

genmidi-gen : $(OBJS) genmidi-gen.o
	$(CC) $(LDFLAGS) $(OBJS) genmidi-gen.o -o $@

dump-sbi : $(OBJS) dump-sbi.o
	$(CC) $(LDFLAGS) $(OBJS) dump-sbi.o -o $@

%.o : %.c
	$(CC) $(CFLAGS) -c $^ -o $@

clean:
	rm -f $(OBJS) genmidi-gen genmidi.lmp

=== debian/changelog ===
freedoom (0.8-1) unstable; urgency=low

  [ Jon Dowland ]
  * convert debian/copyright to DEP-5 format.
  * remove deprecated dm-upload-allowed from control file.

  [ Fabian Greffrath ]
  * New upstream release.
  * Fix desktop-entry-lacks-keywords-entry.
  * Fix vcs-field-not-canonical.
  * Prefer prboom-plus over other alternatives providing boom-engine.
  * Add Multi-Arch: foreign fields.
  * Display the Debian package version number in the TITLEPIC caption.
  * Export the Debian package version number in debian/rules to correctly
    fill the freedoom.lmp and freedm.lmp lumps.
  * The project has moved from sourceforge to github: change the Homepage
    field, and the debian/copyright and debian/watch files accordingly.
  * Adapt to renamed upstream documentation files.
  * Remove some more Python byte-code in the clean rule.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 06 Jan 2014 10:19:11 +0100

=== debian/control ===
Source: freedoom
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Fabian Greffrath <fabian+debian@greffrath.com>,
 Jon Dowland <jmtd@debian.org>
Build-Depends:
 debhelper (>= 9),
 deutex,
 gsfonts,
 imagemagick,
 python (>= 2.4)
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-games/freedoom
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/freedoom.git
Homepage: http://freedoom.github.io/

Package: freedm
Architecture: all
Multi-Arch: foreign
Depends:
 prboom-plus | boom-engine,
 ${misc:Depends}
Pre-Depends:
 dpkg (>= 1.15.6~)
Provides:
 boom-wad
Breaks:
 prboom (<< 2:2.5.0+dfsg1-5)
Description: multiplayer-oriented maps for Doom
 Freedoom is a project to create a complete Doom II-compatible IWAD file
 which is Free Software.
 .
 FreeDM is a sub-project to create a set of levels designed for deathmatch
 play.
 .
 FreeDM does not require Freedoom to play and can be used in conjunction
 with a boom-engine. Please note that this is designed for multiplayer and
 will not be of much use for single player.

Package: freedoom
Architecture: all
Multi-Arch: foreign
Depends:
 prboom-plus | boom-engine,
 ${misc:Depends}
Pre-Depends:
 dpkg (>= 1.15.6~)
Provides:
 boom-wad
Breaks:
 prboom (<< 2:2.5.0+dfsg1-5)
Description: free game files for the 3D game DOOM
 Freedoom is a project to create a complete Doom II-compatible IWAD file
 which is Free Software.
 .
 The IWAD file is the file used by Doom which contains all the game data
 (graphics, sound effects, music, etc.). While the Doom source code is
 Free, you currently still need one of the proprietary IWAD files from id
 in order to play Doom. Freedoom aims to create a Free alternative.
 .
 Combined with any boom compatible Doom engine (such as prboom) this will
 result in a complete Free Doom-based game.

=== debian/rules ===
#!/usr/bin/make -f

VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
export VERSION

# upstream makefile invokes 'deutex' which lives in
# /usr/games
PATH := /usr/games:$(PATH)

%:
	dh $@ --parallel

override_dh_auto_build:
	$(MAKE) wads/doom2.wad
	$(MAKE) wads/freedm.wad
	mv -i wads/doom2.wad wads/freedoom.wad
	
	# icon stuff
	convert sprites/heada1.gif freedoom.xpm
	sed -i 's/cyan/None/' freedoom.xpm
	convert sprites/sht2a0.gif freedm.xpm
	sed -i 's/cyan/None/' freedm.xpm

override_dh_installdocs:
	dh_installdocs -A CREDITS README.asc

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/;s/^v//" \
http://githubredir.debian.net/github/chungy/freedoom/ \
 v(.*).tar.gz

## freedoom 0.9

=== Makefile ===
# Copyright (c) 2001-2014
# Contributors to the Freedoom project.  All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#  * Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
#  * Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#  * Neither the name of the freedoom project nor the names of its
#    contributors may be used to endorse or promote products derived from
#    this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
# IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
# PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
# OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

VERSION=$(shell git describe 2>/dev/null || cat VERSION)
WADS=wads
CPP=scripts/simplecpp
DEUTEX=deutex
DEUTEX_BASIC_ARGS=-v0 -fullsnd -rate accept -rgb 0 255 255
DEUTEX_ARGS=$(DEUTEX_BASIC_ARGS) -doom2 bootstrap/

FREEDOOM1=$(WADS)/freedoom1.wad
FREEDOOM2=$(WADS)/freedoom2.wad
FREEDM=$(WADS)/freedm.wad

OBJS=$(FREEDM) $(FREEDOOM1) $(FREEDOOM2)

all: $(OBJS)

subdirs:
	$(MAKE) -C graphics/text
	$(MAKE) VERSION=$(VERSION) -C graphics/titlepic
	$(MAKE) -C lumps/cph/misc-lumps
	$(MAKE) -C lumps/genmidi
	$(MAKE) -C lumps/dmxgus
	$(MAKE) -C lumps/textures


# this is a useless dependency to force builds

force:

lumps/freedoom.lmp lumps/freedm.lmp: force
	echo $(VERSION) > $@

# update wadinfo.txt

wadinfo.txt: buildcfg.txt subdirs lumps/freedoom.lmp
	$(CPP) -P -DDOOM2 < $< | scripts/wadinfo-builder.py > $@
wadinfo_phase1.txt: buildcfg.txt subdirs lumps/freedoom.lmp
	$(CPP) -P -DDOOM1 -DULTDOOM < $< | scripts/wadinfo-builder.py -dummy > $@
wadinfo_phase2.txt: buildcfg.txt subdirs lumps/freedoom.lmp
	$(CPP) -P -DDOOM2 < $< | scripts/wadinfo-builder.py -dummy > $@
wadinfo_freedm.txt : buildcfg.txt subdirs lumps/freedoom.lmp lumps/freedm.lmp
	$(CPP) -P -DFREEDM < $< | scripts/wadinfo-builder.py -dummy > $@

# deutex doesnt allow redirects for the filenames in the texture
# entries, so we have to change the texture1 symlink to point
# to whichever wad we are working on

#---------------------------------------------------------
# freedm iwad

$(FREEDM): wadinfo_freedm.txt subdirs
	@mkdir -p $(WADS)
	rm -f $@
	$(DEUTEX) $(DEUTEX_ARGS) -iwad -build wadinfo_freedm.txt $@

#---------------------------------------------------------
# phase 1 (udoom) iwad

$(FREEDOOM1): wadinfo_phase1.txt subdirs
	@mkdir -p $(WADS)
	rm -f $@
	$(DEUTEX) $(DEUTEX_ARGS) -iwad -lumps -patch -flats -sounds -musics -graphics -sprites -levels -build wadinfo_phase1.txt $@

#---------------------------------------------------------
# phase 2 (doom2) iwad

$(FREEDOOM2): wadinfo_phase2.txt subdirs
	@mkdir -p $(WADS)
	rm -f $@
	$(DEUTEX) $(DEUTEX_ARGS) -iwad -lumps -patch -flats -sounds -musics -graphics -sprites -levels -build wadinfo_phase2.txt $@

%.html: %.adoc
	asciidoc $<

doc: $(patsubst %.adoc,%.html,$(wildcard *.adoc))

DISTDOCS=COPYING CREDITS README.html

.PHONY: dist

# Due to convoluted reasons, the WADs must directly proceed the game name.
dist: $(OBJS) README.html
	VERSION=$(VERSION) scripts/makepkgs freedm $(FREEDM) $(DISTDOCS)
	VERSION=$(VERSION) scripts/makepkgs freedoom $(FREEDOOM1) $(FREEDOOM2) $(DISTDOCS)

json: $(OBJS)
ifndef JSON
	@echo "Define JSON as the file to output." >&2
	@exit 1
else
	JSON=$(JSON) VERSION=$(VERSION) scripts/makejson
endif

clean:
	rm -f	*.html deutex.log $(OBJS) \
		./wadinfo.txt ./wadinfo_phase1.txt \
		./wadinfo_phase2.txt ./wadinfo_freedm.txt \
		./lumps/freedoom.lmp \
		./lumps/freedm.lmp
	-rmdir $(WADS)

	$(MAKE) -C graphics/text clean
	$(MAKE) -C graphics/titlepic clean
	$(MAKE) -C lumps/cph/misc-lumps clean
	$(MAKE) -C lumps/genmidi clean
	$(MAKE) -C lumps/dmxgus clean
	$(MAKE) -C lumps/textures clean

prefix?=/usr/local
bindir?=/bin
mandir?=/share/man
waddir?=/share/games/doom
target=$(DESTDIR)$(prefix)

%.6:
	$(MAKE) -C dist man-$*

%.png:
	$(MAKE) -C dist icon-$*

# This is bad because it assumes the IWADs will always be defined like
# this.  I just can't see another way to do it.  Fix later if possible.

install-%: $(WADS)/%.wad %.6 %.png
	install -d "$(target)$(bindir)"
	install -m 755 dist/freedoom "$(target)$(bindir)/$*"
	install -d "$(target)$(mandir)/man6"
	install -m 644 dist/$*.6 "$(target)$(mandir)/man6"
	install -d "$(target)$(waddir)"
	install -m 644 $(WADS)/$*.wad "$(target)$(waddir)"
	install -d "$(target)/share/applications"
	install -m 644 dist/$*.desktop "$(target)/share/applications"
	install -d "$(target)/share/appdata"
	install -m 644 dist/$*.appdata.xml "$(target)/share/appdata"
	install -d "$(target)/share/icons"
	install -m 644 dist/$*.png "$(target)/share/icons/$*.png"

uninstall-%:
	rm "$(target)$(bindir)/$*"
	rm "$(target)$(mandir)/man6/$*.6"
	rm "$(target)$(waddir)/$*.wad"
	rm "$(target)/share/applications/$*.desktop"
	rm "$(target)/share/appdata/$*.appdata.xml"
	rm "$(target)/share/icons/$*.png"
	-rmdir -p "$(target)$(bindir)"
	-rmdir -p "$(target)$(mandir)/man6"
	-rmdir -p "$(target)$(waddir)"
	-rmdir -p "$(target)/share/applications"
	-rmdir -p "$(target)/share/appdata"
	-rmdir -p "$(target)/share/icons"

install: install-freedm install-freedoom1 install-freedoom2

uninstall: uninstall-freedm uninstall-freedoom1 uninstall-freedoom2

=== dist/Makefile ===
man-%: freedoom.adoc
	sed -e s/freedoom/$*/ freedoom.adoc > $*.adoc
	a2x -f manpage $*.adoc

icon-freedm:
	convert -trim +repage -extent 32x32 -gravity center \
	    -transparent \#00ffff -background \#00ffff \
	    ../graphics/stfkill3.gif freedm.png

icon-freedoom1:
	convert -trim +repage -extent 48x48 -gravity center \
	    -transparent \#00ffff -background \#00ffff \
	    ../sprites/playa2a8.gif freedoom1.png

icon-freedoom2:
	convert -trim +repage -extent 64x64 -gravity center \
	    -transparent \#00ffff -background \#00ffff \
	    ../sprites/heada1.gif freedoom2.png

=== graphics/text/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-GRAPHICS = \
+TEXTGEN_GRAPHICS = \
   m_detail.gif m_disopt.gif m_disp.gif   m_endgam.gif m_epi1.gif   \
   m_epi2.gif   m_epi3.gif   m_epi4.gif   m_episod.gif m_gdhigh.gif \
   m_gdlow.gif  m_hurt.gif   m_jkill.gif  m_lgttl.gif  m_loadg.gif  \
@@ -13,7 +13,7 @@
   m_mess.gif   m_mouse.gif  m_multi.gif  m_player.gif m_serial.gif \
   m_setup.gif  m_sound.gif  m_stat.gif   m_status.gif m_tcpip.gif  \
   m_versen.gif m_video.gif  m_wad.gif    m_wadopt.gif m_weap.gif   \
-  prboom.gif                                                       \
+  prboom.gif   helpttl.gif  freettl.gif                            \
   m_ultra.gif  wibp1.gif    wibp2.gif    wibp3.gif    wibp4.gif    \
   wicolon.gif  wienter.gif  wif.gif      wifrgs.gif   wipcnt.gif   \
   wiminus.gif  wimstar.gif  wimstt.gif   wiostf.gif   wiosti.gif   \
@@ -37,11 +37,110 @@
   wilv33.gif   wilv34.gif   wilv35.gif   wilv36.gif   wilv37.gif   \
   wilv38.gif
 
-all: $(GRAPHICS)
+all: $(TEXTGEN_GRAPHICS) help.gif credit.gif
 
-$(GRAPHICS): config.py fontchars ../../lumps/fraggle/freedoom.bex
+# textgen creates multiple outputs, which is awkward to express in
+# make. Use a witness file (graphics.stamp) as suggested in the
+# automake manual: "Handling Tools that Produce Many Outputs"
+
+$(TEXTGEN_GRAPHICS): graphics.stamp
+	@if test -f $@; then :; else \
+	  rm -f graphics.stamp; \
+	  $(MAKE) data.stamp; \
+	fi
+
+graphics.stamp: config.py fontchars ../../lumps/fraggle/freedoom.bex
+	@rm -f graphics.tmp
+	@touch graphics.tmp
 	./textgen
+	@mv graphics.tmp $@
+
+# Generate transparent image containing text for the HELP screen:
+helptext.png: helpttl.gif
+	python smtextgen helptext.png 320x200        \
+	   150,5   "file:helpttl.gif"                \
+	   10,25   "Weapons"                         \
+	   80,25   "file:../../sprites/shota0.gif"   \
+	   150,25  "file:../../sprites/sgn2a0.gif"   \
+	   210,20  "file:../../sprites/mguna0.gif"   \
+	   10,40   "file:../../sprites/launa0.gif"   \
+	   80,40   "file:../../sprites/plasa0.gif"   \
+	   150,40  "file:../../sprites/bfuga0.gif"   \
+	   240,40  "file:../../sprites/csawa0.gif"   \
+	   10,67   "Ammo"                            \
+	   53,67   "file:../../sprites/clipa0.gif"   \
+	   68,62   "file:../../sprites/ammoa0.gif"   \
+	   110,67  "Shells"                          \
+	   160,67  "file:../../sprites/shela0.gif"   \
+	   180,62  "file:../../sprites/sboxa0.gif"   \
+	   220,67  "Backpack"                        \
+	   290,55  "file:../../sprites/bpaka0.gif"   \
+	   10,90   "Missiles"                        \
+	   76,78   "file:../../sprites/rocka0.gif"   \
+	   95,82   "file:../../sprites/broka0.gif"   \
+	   170,90  "Energy"                          \
+	   220,90  "file:../../sprites/cella0.gif"   \
+	   240,81  "file:../../sprites/celpa0.gif"   \
+	   10,115  "Health"                          \
+	   63,113  "file:../../sprites/bon1a0.gif"   \
+	   78,112  "file:../../sprites/stima0.gif"   \
+	   96,107  "file:../../sprites/media0.gif"   \
+	   128,107 "file:../../sprites/pstra0.gif"   \
+	   170,115 "Armor"                           \
+	   220,113 "file:../../sprites/bon2a0.gif"   \
+	   240,105 "file:../../sprites/arm1b0.gif"   \
+	   280,105 "file:../../sprites/arm2b0.gif"   \
+	   145,140 "Map"                             \
+	   175,130 "file:../../sprites/pmapa0.gif"   \
+	   10,140  "Overdrive"                       \
+	   84,132  "file:../../sprites/soula0.gif"   \
+	   110,132 "file:../../sprites/megaa0.gif"   \
+	   10,163  "Night vis."                      \
+	   80,160  "file:../../sprites/pvisa0.gif"   \
+	   10,182  "Stealth"                         \
+	   67,172  "file:../../sprites/pinsa0.gif"   \
+	   115,182 "Invuln."                         \
+	   170,174 "file:../../sprites/pinva0.gif"   \
+	   255,182 "Keys"                            \
+	   246,142 "file:../../sprites/rkeya0.gif"   \
+	   261,142 "file:../../sprites/ykeya0.gif"   \
+	   276,142 "file:../../sprites/bkeya0.gif"   \
+	   246,162 "file:../../sprites/rskua0.gif"   \
+	   261,162 "file:../../sprites/yskua0.gif"   \
+	   276,162 "file:../../sprites/bskua0.gif"   \
+	   130,163 "Hazard suit"                     \
+	   215,142 "file:../../sprites/suita0.gif"
+
+# Make background transparent so it can be overlayed.
+helptext2.png : helptext.png
+	convert helptext.png -transparent '#00ffff' helptext2.png
+
+# Background for the help screen is a color shifted version of INTERPIC:
+helpbg.png: ../interpic.gif
+	convert ../interpic.gif -fill '#5599ff' -tint 100 helpbg.png
+
+# Draw the overlay with text and sprites onto the background to get the
+# HELP screen:
+help.gif: helpbg.png helptext2.png
+	convert helpbg.png                              \
+	    -draw 'image over 0,0 0,0 helptext2.png'     \
+	    help.gif
+
+credtext.png: freettl.gif credit.txt
+	python smtextgen credtext.png 320x200        \
+	   120,5  "file:freettl.gif"                \
+	   10,30  "include:credit.txt"
+
+credtext2.png: credtext.png
+	convert credtext.png -transparent '#00ffff' credtext2.png
+
+credit.gif: helpbg.png credtext2.png
+	convert helpbg.png                             \
+	    -draw 'image over 0,0 0,0 credtext2.png'   \
+	    credit.gif
 
 clean:
-	rm -f $(GRAPHICS)
-
+	rm -f $(TEXTGEN_GRAPHICS) helpbg.png help.gif \
+	    helptext.png helptext2.png graphics.stamp *.pyc \
+	    credtext.png credtext2.png credit.gif \
+	    dmwilv*.gif

=== lumps/dmxgus/Makefile ===
ultramid.ini : gen-ultramid config.py stats.py
	./gen-ultramid $@

clean:
	rm -f ultramid.ini *.pyc

=== lumps/genmidi/Makefile ===

genmidi.lmp: config.py instruments/*
	./mkgenmidi $@

clean:
	rm -f genmidi.lmp *.pyc

=== debian/changelog ===
freedoom (0.9-1) unstable; urgency=medium

  * Imported Upstream version 0.9:
    + New file names no longer conflict with Doom's.
    + FreeDM and Phase 1 have grown out of the shadows of the project
      and have seen rapid advances.
    + New text font to replace the old one in all menus, in-game text,
      and status-bar HUD.
    + New zombie, shotgun zombie, and assault tripod sprites by a skilled
      pixel artist.
    + New sounds for the dark soldier.
    + More complete support for Final Doom mods, adding many more
      textures missing to support mods for both TNT: Evilution and
      The Plutonia Experiment.

  * Upstream now ships icons, manpages, desktop files, wrapper scripts and
    appdata files. Remove the local copies from the Debian packaging.
  * Build docs, add "Build-Depends: asciidoc, docbook-xsl, xsltproc",
    but run a2x with --no-xmllint to avoid even more Build-Depends.
  * Bump "Build-Depends: python (>= 2.4)" to "2.7".
  * Install IWAD files into /usr/share/games/doom.
  * Add compatibility symlinks for the old IWAD file names.
  * Fix upstream GIT repository location in debian/watch.
  * FreeDM is strictly Doom-compatible, so add "Provides: doom-wad"
    and "Depends: ... | doom-engine", thanks Mike Swanson (Closes: #762126).
  * Improve package descriptions based on the appdata files.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Wed, 22 Oct 2014 14:45:57 +0200

=== debian/control ===
Source: freedoom
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Fabian Greffrath <fabian+debian@greffrath.com>,
 Jon Dowland <jmtd@debian.org>
Build-Depends:
 asciidoc,
 debhelper (>= 9),
 deutex,
 docbook-xsl,
 gsfonts,
 imagemagick,
 python (>= 2.7),
 xsltproc
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-games/freedoom
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/freedoom.git
Homepage: http://freedoom.github.io/

Package: freedm
Architecture: all
Multi-Arch: foreign
Depends:
 prboom-plus | doom-engine,
 ${misc:Depends}
Pre-Depends:
 dpkg (>= 1.15.6~)
Provides:
 doom-wad
Breaks:
 prboom (<< 2:2.5.0+dfsg1-5)
Description: multiplayer deathmatch game for Doom-compatible engines
 The Freedoom project aims to produce three base-game data files
 (IWADs) for Doom-compatible engines.  With it comes the
 capability to also play the wide range of mods created for Doom
 by a vibrant community.
 .
 FreeDM is a fast-paced set of levels designed for multiplayer
 deathmatches, part of the Freedoom project.  Challenge your
 friends to the most torturous test of their abilities as you
 navigate through 32 levels stalking and hunting them.
 .
 FreeDM is fully compatible with Doom II mods.

Package: freedoom
Architecture: all
Multi-Arch: foreign
Depends:
 prboom-plus | boom-engine,
 ${misc:Depends}
Pre-Depends:
 dpkg (>= 1.15.6~)
Provides:
 boom-wad
Breaks:
 prboom (<< 2:2.5.0+dfsg1-5)
Description: two single player campaigns for Doom-compatible engines
 The Freedoom project aims to produce three base-game data files
 (IWADs) for Doom-compatible engines.  With it comes the
 capability to also play the wide range of mods created for Doom
 by a vibrant community.
 .
 Freedoom: Phase 1 contains four chapters, nine levels each, to
 provide a smoothly-paced first person action game.  In it is a
 wide variety of mazes and enemies to fight and challenge your
 reflexes.
 .
 Freedoom: Phase 2 is a 32-level game, expanding upon Phase 1 and
 adding a double-barrelled shotgun and more enemy types, along
 with even more brutal gameplay to really test your limits.
 .
 Freedoom: Phase 1 is fully compatible with The Ultimate Doom mods.
 Freedoom: Phase 2 is fully compatible with Doom II and Final Doom mods.

=== debian/rules ===
#!/usr/bin/make -f

VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
export VERSION

# upstream makefile invokes 'deutex' which lives in
# /usr/games
PATH := /usr/games:$(PATH)
export PATH

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- all doc \
		VERSION=$(VERSION)

override_dh_auto_install:
	dh_auto_install -- \
		prefix=/usr \
		bindir=/games \
		VERSION=$(VERSION)

override_dh_installdocs:
	dh_installdocs -A CREDITS *.html

## freedoom 0.10.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2001-2014
+# Copyright (c) 2001-2015
 # Contributors to the Freedoom project.  All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -48,6 +48,7 @@
 	$(MAKE) -C lumps/genmidi
 	$(MAKE) -C lumps/dmxgus
 	$(MAKE) -C lumps/textures
+	$(MAKE) -C bootstrap
 
 
 # this is a useless dependency to force builds
@@ -126,12 +127,14 @@
 		./lumps/freedm.lmp
 	-rmdir $(WADS)
 
+	$(MAKE) -C dist clean
 	$(MAKE) -C graphics/text clean
 	$(MAKE) -C graphics/titlepic clean
 	$(MAKE) -C lumps/cph/misc-lumps clean
 	$(MAKE) -C lumps/genmidi clean
 	$(MAKE) -C lumps/dmxgus clean
 	$(MAKE) -C lumps/textures clean
+	$(MAKE) -C bootstrap clean
 
 prefix?=/usr/local
 bindir?=/bin

=== bootstrap/Makefile ===
# Build a fake IWAD to bootstrap deutex

IWAD=./doom2.wad

$(IWAD): ../lumps/cph/misc-lumps/playpal-base.lmp
	./bootstrap.py < $< > $@

clean:
	rm -f $(IWAD)

.PHONY: clean

=== dist/Makefile ===
man-%: freedoom.adoc
	sed -e s/freedoom/$*/ freedoom.adoc > $*.adoc
	a2x -f manpage $*.adoc

icon-freedm:
	convert -resize 64x64 ../graphics/captainw/freedm_title2.png \
	    freedm.png

icon-freedoom1:
	convert -trim +repage -extent 48x48 -gravity center \
	    -transparent \#00ffff -background \#00ffff \
	    ../sprites/playa2a8.gif freedoom1.png

icon-freedoom2:
	convert -trim +repage -extent 64x64 -gravity center \
	    -transparent \#00ffff -background \#00ffff \
	    ../sprites/heada1.gif freedoom2.png

clean:
	rm -f *.6 *.png freedm.adoc freedoom1.adoc freedoom2.adoc

=== graphics/text/Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
   wilv33.gif   wilv34.gif   wilv35.gif   wilv36.gif   wilv37.gif   \
   wilv38.gif
 
-all: $(TEXTGEN_GRAPHICS) help.gif credit.gif
+all: $(TEXTGEN_GRAPHICS) help.gif credit.gif wikilrs.gif wivctms.gif
 
 # textgen creates multiple outputs, which is awkward to express in
 # make. Use a witness file (graphics.stamp) as suggested in the
@@ -139,8 +139,19 @@
 	    -draw 'image over 0,0 0,0 credtext2.png'   \
 	    credit.gif
 
+wikilrs.gif:
+	python smtextgen wikilrs.png 49x7	\
+	    0,0  killers
+	convert wikilrs.png -rotate 270 wikilrs.gif
+	rm -f wikilrs.png
+
+wivctms.gif:
+	python smtextgen wivctms.gif 54x7	\
+	    0,0  victims
+
 clean:
 	rm -f $(TEXTGEN_GRAPHICS) helpbg.png help.gif \
 	    helptext.png helptext2.png graphics.stamp *.pyc \
 	    credtext.png credtext2.png credit.gif \
-	    dmwilv*.gif
+	    dmwilv*.gif  wikilrs.gif   wivctms.gif
+	rm -fr __pycache__

=== graphics/titlepic/Makefile ===
titlepic: fd1title.gif fd2title.gif fdmtitle.gif

m_doom.gif: ../m_doom.gif
	convert -transparent '#00ffff' ../m_doom.gif m_doom.gif

m_dm.gif: ../m_dm.gif
	convert -transparent '#00ffff' ../m_dm.gif m_dm.gif

fd1title.gif: titlepic.gif m_doom.gif
	./create_caption titlepic.gif m_doom.gif "Phase 1" $@

fd2title.gif: titlepic.gif m_doom.gif
	./create_caption titlepic.gif m_doom.gif "Phase 2" $@

fdmtitle.gif: ../captainw/fdmtitle.gif
	./create_caption ../captainw/fdmtitle.gif $@

clean:
	rm -f m_dm.gif m_doom.gif fd1title.gif fd2title.gif fdmtitle.gif

.PHONY: clean

=== lumps/dmxgus/Makefile ===
--- 
+++ 
@@ -3,4 +3,4 @@
 
 clean:
 	rm -f ultramid.ini *.pyc
-
+	rm -fr __pycache__

=== lumps/genmidi/Makefile ===
genmidi.lmp: config.py instruments/*
	./mkgenmidi $@

clean:
	rm -f genmidi.lmp *.pyc
	rm -fr __pycache__

=== lumps/textures/Makefile ===

CPP=../../scripts/simplecpp

all: phase1/texture1.lmp phase2/texture1.lmp freedm/texture1.lmp

phase1/texture1.lmp: textures.cfg
	$(CPP) -DDOOM1 -DULTDOOM < textures.cfg |                \
	./build-textures -compat_texture1=doom1/texture1.txt     \
	                 -compat_texture2=doom1/texture2.txt     \
			 -compat_pnames=doom1/pnames.txt         \
			 -output_texture1=phase1/texture1.lmp    \
			 -output_texture2=phase1/texture2.lmp    \
			 -output_pnames=phase1/pnames.lmp        \
			 -output_pnames_txt=phase1/pnames.txt

phase2/texture1.lmp: textures.cfg
	$(CPP) -DDOOM1 -DDOOM2 < textures.cfg |                  \
	./build-textures -compat_texture1=doom2/texture1.txt     \
			 -compat_pnames=doom2/pnames.txt         \
			 -output_texture1=phase2/texture1.lmp    \
			 -output_pnames=phase2/pnames.lmp        \
			 -output_pnames_txt=phase2/pnames.txt

freedm/texture1.lmp: textures.cfg
	$(CPP) -DDOOM1 -DDOOM2 -DFREEDM < textures.cfg |         \
	./build-textures -compat_texture1=doom2/texture1.txt     \
			 -compat_pnames=doom2/pnames.txt         \
			 -output_texture1=freedm/texture1.lmp    \
			 -output_pnames=freedm/pnames.lmp        \
			 -output_pnames_txt=freedm/pnames.txt


clean:
	rm -f phase1/texture1.lmp phase1/texture2.lmp phase1/pnames.lmp \
	      phase1/pnames.txt                                         \
	      phase2/texture1.lmp phase2/pnames.lmp   phase2/pnames.txt \
	      freedm/texture1.lmp freedm/pnames.lmp   freedm/pnames.txt

=== lumps/cph/misc-lumps/Makefile ===
COLORMAPS = colormap.lmp                                     \
            bloodmap.lmp bluemap.lmp lavamap.lmp nukemap.lmp \
	    fogmap.lmp mfademap.lmp

all: playpal.lmp $(COLORMAPS)

playpal.lmp: playpal-base.lmp playpal.py
	./playpal.py playpal-base.lmp > playpal.lmp

colormap.lmp: playpal.lmp colormap.py
	./colormap.py playpal.lmp > colormap.lmp

# Blue colormap applies a full blue tint. The brightness here is
# adjusted slightly because the default is too dark.

bluemap.lmp: playpal.lmp colormap.py
	./colormap.py --tint_color='#0000ff' --tint_pct=100 \
	              --tint_bright=0.6 playpal.lmp > bluemap.lmp

# "Fog" effect maps that darken to a color other than black:

fogmap.lmp: playpal.lmp colormap.py
	./colormap.py --dark_color='#505050' playpal.lmp > fogmap.lmp

mfademap.lmp: playpal.lmp colormap.py
	./colormap.py --dark_color='#2b230f' playpal.lmp > mfademap.lmp

# "Liquid" colormaps that apply a tint. With a liquid effect we also
# usually want to use --dark_color as well, because we want to darken
# to something like the liquid color instead of black.

bloodmap.lmp: playpal.lmp colormap.py
	./colormap.py --tint_color='#ff0000' --dark_color='#500000' \
	              --tint_pct=100 playpal.lmp > bloodmap.lmp

# TODO: The current lava effect is just very bright orange. Before the
# change to programatically-generated lavamap we had a better effect.
lavamap.lmp: playpal.lmp colormap.py
	./colormap.py --tint_color='#ff6000' --tint_pct=80 \
	              --tint_bright=0.8 --dark_color='#ff6000' \
		      playpal.lmp > lavamap.lmp

nukemap.lmp: playpal.lmp colormap.py
	./colormap.py --tint_color='#00ff00' --tint_pct=70 \
	              --dark_color='#005000' playpal.lmp > nukemap.lmp

clean:
	rm -f playpal.lmp $(COLORMAPS)

.PHONY: clean

=== sprites/jond/placeholder/Makefile ===
# generates placeholder sprites for monsters
#
SPRITEDIR = ../..

# use the AOD skeleton for humanoid monsters
SKELDIR   = $(SPRITEDIR)/linguica/aoddoom_skeletons
SKELSRC   = $(wildcard $(SKELDIR)/sarg*)
VILEDEST  = $(notdir $(SKELSRC))

BSPISRC   = $(wildcard $(SPRITEDIR)/bspi*)

ALLSRC    = $(BSPISRC)
TARGETS   = $(notdir $(ALLSRC))

DUMMY     =../../dummy.gif
# TODO: if dst's width is < src's, src is clipped. Try to prevent this.
ARGS=-compose Over -gravity center

foo: $(VILEDEST) $(TARGETS)

clean:
	rm -f $(VILEDEST) $(TARGETS)

$(TARGETS): $(DUMMY) Makefile
	composite $(ARGS) $(DUMMY) $(SPRITEDIR)/$@ $@

# special case since the source isn't in $(SPRITEDIR)
$(VILEDEST): $(DUMMY) Makefile
	composite $(ARGS) $(DUMMY) $(SKELDIR)/$@ $@

test:
	echo $(BSPISRC)
.PHONY: foo clean

=== debian/changelog ===
freedoom (0.10.1-2) unstable; urgency=medium

  * Switch to Build-Depends: asciidoc-base from asciidoc.
  * Remove patch, asciidoc-base depends on libxml2-utils anyway.
  * Add Build-Depends: docbook-xml.
  * Bump Standards-Version to 3.9.8.
  * Update Vcs-* fields to use secure URIs.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 06 Jan 2017 11:10:12 +0100

freedoom (0.10.1-1) unstable; urgency=medium

  * Imported Upstream version 0.10.1

 -- Fabian Greffrath <fabian@debian.org>  Sun, 24 Jan 2016 17:59:24 +0100

freedoom (0.10-1) unstable; urgency=medium

  * Imported Upstream version 0.10:
    + Brand new status bar.
    + New sprites for the serpent and orb monster.
    + New HUD graphics for the single- and double-barrel shotguns,
      missile launcher, and SKAG.
    + New pain sounds for many monsters and the player.
    + New maps in Phase 1 and Phase 2.

  * Update my e-mail address and Debian packaging copyright years
    in debian/control and debian/copyright.
  * Refresh patch.

 -- Fabian Greffrath <fabian@debian.org>  Wed, 16 Dec 2015 21:37:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
- Fabian Greffrath <fabian+debian@greffrath.com>,
+ Fabian Greffrath <fabian@debian.org>,
  Jon Dowland <jmtd@debian.org>
 Build-Depends:
- asciidoc,
+ asciidoc-base,
  debhelper (>= 9),
  deutex,
  docbook-xsl,
+ docbook-xml,
  gsfonts,
  imagemagick,
  python (>= 2.7),
  xsltproc
-Standards-Version: 3.9.4
-Vcs-Git: git://anonscm.debian.org/pkg-games/freedoom
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/freedoom.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/freedoom.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/freedoom.git
 Homepage: http://freedoom.github.io/
 
 Package: freedm
